Skip to content

Replace the explicit entity list-page configuration.

PUT
/api/workspace/admin/entity-definitions/{entityDefinitionId}/ui/entity-list-page/configuration
curl --request PUT \
--url https://example.com/api/workspace/admin/entity-definitions/example/ui/entity-list-page/configuration \
--header 'Content-Type: application/json' \
--data '{ "MainTableSelectors": [ { "Id": "example", "Priority": 1, "Mode": 0, "SurfaceKey": "example", "RoleIds": [ "example" ] } ] }'
  • None
entityDefinitionId
required
string
surfaceKey
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload to replace the entity list-page configuration.

object
MainTableSelectors

Role-aware hosted table selectors for the list page.

Array<object>
nullable

Role-aware selector row used by hosted surfaces and lookup inputs.

object
Id

Persisted selector row id. New client rows may send null.

string
nullable
Priority

Higher values are evaluated first.

integer format: int32
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey

Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.

string
nullable
RoleIds

Workspace role ids that may use the selector; empty means all roles.

Array<string>
nullable

OK

Media typeapplication/json
object
Data

Admin-facing entity list-page configuration.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
SurfaceId

Persisted list-page surface identifier.

string
nullable
Name

List-page surface name.

string
nullable
Key

Stable list-page surface key.

string
nullable
IsDefault

Whether this list page is the current default.

boolean
MainTableSelectors

Role-aware hosted table selectors for the list page.

Array<object>
nullable

Role-aware selector row used by hosted surfaces and lookup inputs.

object
Id

Persisted selector row id. New client rows may send null.

string
nullable
Priority

Higher values are evaluated first.

integer format: int32
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey

Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.

string
nullable
RoleIds

Workspace role ids that may use the selector; empty means all roles.

Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SurfaceType": 0,
"MainTableSelectors": [
{
"Mode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Admin-facing entity list-page configuration.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
SurfaceId

Persisted list-page surface identifier.

string
nullable
Name

List-page surface name.

string
nullable
Key

Stable list-page surface key.

string
nullable
IsDefault

Whether this list page is the current default.

boolean
MainTableSelectors

Role-aware hosted table selectors for the list page.

Array<object>
nullable

Role-aware selector row used by hosted surfaces and lookup inputs.

object
Id

Persisted selector row id. New client rows may send null.

string
nullable
Priority

Higher values are evaluated first.

integer format: int32
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey

Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.

string
nullable
RoleIds

Workspace role ids that may use the selector; empty means all roles.

Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SurfaceType": 0,
"MainTableSelectors": [
{
"Mode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Admin-facing entity list-page configuration.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
SurfaceId

Persisted list-page surface identifier.

string
nullable
Name

List-page surface name.

string
nullable
Key

Stable list-page surface key.

string
nullable
IsDefault

Whether this list page is the current default.

boolean
MainTableSelectors

Role-aware hosted table selectors for the list page.

Array<object>
nullable

Role-aware selector row used by hosted surfaces and lookup inputs.

object
Id

Persisted selector row id. New client rows may send null.

string
nullable
Priority

Higher values are evaluated first.

integer format: int32
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey

Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.

string
nullable
RoleIds

Workspace role ids that may use the selector; empty means all roles.

Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SurfaceType": 0,
"MainTableSelectors": [
{
"Mode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}